%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  NFLSimulatoR
%global packver   0.4.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.0
Release:          1%{?dist}%{?buildtag}
Summary:          Simulating Plays and Drives in the NFL

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-nflfastR 
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-nflfastR 

%description
The intent here is to enable the simulation of plays/drives and evaluate
game-play strategies in the National Football League (NFL). Built-in
strategies include going for it on fourth down and varying the proportion
of passing/rushing plays during a drive. The user should be familiar with
nflscrapR data before trying to write his/her own strategies. This work is
inspired by a blog post by Mike Lopez, currently the Director of Data and
Analytics at the NFL, Lopez (2019)
<https://statsbylopez.netlify.app/post/resampling-nfl-drives/>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
